> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-international-documents/snomed-ct-glossary/c/complement.md).

# complement

The set of elements that are **not** in a specified set.

### Notes

* In set theory, the *complement* of set \*\* *A*\*\* refers to all elements not in set \*\* *A*\*\*.
* In SNOMED CT, the *complement* of a \_subset \_of concepts consists of all concepts that are not in that subset.

### Example

* The following expression constraint language defines the set of concepts that are subtypes of [442083009 | Anatomical or acquired body structure|](http://snomed.info/id/442083009) that are also part of the *complement* of the [723264001 | Lateralizable body structure reference set|](http://snomed.info/id/723264001) . The "MINUS" instruction excludes members of the reference set, so only concepts that are part of the *complement* of that set are included.

< [442083009 |Anatomical or acquired body structure|](http://snomed.info/id/442083009)\
MINUS ^ [723264001 |Lateralizable body structure reference set|](http://snomed.info/id/723264001)

Related Links

* Wikipedia
  * [Complement (set theory)](https://en.wikipedia.org/wiki/Complement_\(set_theory\))

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=SNOMED+Glossary&#x26;entry.670899847=complement" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snomed.org/snomed-international-documents/snomed-ct-glossary/c/complement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
